> For the complete documentation index, see [llms.txt](https://docs.multimarkets.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.multimarkets.org/client-api/more.../index-query.md).

# Index/Query

## Query fund information

> bizType=fund.app.FundOperationInfoAppDubboService.queryFundInfo\
> Query fund information\
> Login required to access

```json
{"openapi":"3.0.1","info":{"title":"Default module","version":"1.0.0"},"tags":[{"name":"Index/Query"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/fund.app.FundOperationInfoAppDubboService.queryFundInfo":{"post":{"summary":"Query fund information","deprecated":false,"description":"bizType=fund.app.FundOperationInfoAppDubboService.queryFundInfo\nQuery fund information\nLogin required to access","operationId":"queryFundInfo","tags":["Index/Query"],"parameters":[],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FundInfoQueryReqDto"}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultFundOperationInfoDto"}}},"headers":{}}}}}},"components":{"schemas":{"FundInfoQueryReqDto":{"type":"object","required":["fundId"],"properties":{"fundId":{"type":"integer","format":"int64","description":"Fund ID"}}},"BaseResultFundOperationInfoDto":{"type":"object","properties":{"bizCode":{"type":"string","description":"Module identifier code"},"code":{"type":"string","description":"Status return code"},"msg":{"type":"string","description":"Status description"},"tm":{"type":"integer","format":"int64","description":"Processing time (milliseconds)"},"trace":{"type":"string","description":"Tracking code"},"msgParams":{"type":"string","description":"Placeholder parameter string in return description, multiple parameters separated by commas"},"data":{"$ref":"#/components/schemas/FundOperationInfoDto"},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}},"FundOperationInfoDto":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"Primary key id"},"status":{"type":"integer","format":"int32","description":"Status 1, 2, 3, enable, disable, delete"},"revision":{"type":"integer","format":"int32","description":"Optimistic lock"},"createBy":{"type":"string","description":"Creator"},"createTime":{"type":"integer","format":"int64","description":"Creation time"},"updateBy":{"type":"string","description":"Updater"},"updateTime":{"type":"integer","format":"int64","description":"Update Time"},"fundId":{"type":"integer","format":"int64","description":"Fund ID"},"sharesIssued":{"type":"number","description":"Total issued shares"},"sharesApply":{"type":"number","description":"Total subscription shares"},"sharesConfirm":{"type":"number","description":"Total confirmed shares"},"sharesRedeem":{"type":"number","description":"Total redeemed shares"},"sharesCurrent":{"type":"number","description":"Current latest shares"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.multimarkets.org/client-api/more.../index-query.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
